Summary: Simula class libraries for sets, X11 and user interaction
Name: cim-tools
Version: 1.0
Release: 1
Source: cim-tools-1.0.tar.gz
Copyright: distributable for educational purposes
Group: Development/Libraries
Provides: cim-tools
Requires: gcc cim XFree86-devel xpm-devel
Packager: Jon Martin Solaas <jonso@ifi.uio.no>
Patch: cim-tools-1.0.build.patch
Vendor: Dept. of Informatics, University of Oslo

%description
Class library for set/list handling, terminal user interaction and X11 programming
with Simula, using cim and gcc. Cim compiler front end `sc` handles compilation.
See `man sc`. Source is available from ftp.ifi.uio.no/pub/simulatools. More info
available from http://www.ifi.uio.no/~ftp.

%prep
rm -rf /usr/src/redhat/BUILD/cim-tools-1.0
%setup -n cim-tools-1.0
%patch -p 1

%build
make cim

%install
make install-cim
make install-sc
cp -f sc.1 /usr/local/man/man1/sc.1
chmod 644 /usr/local/man/man1/sc.1

rm -rf /usr/local/doc/cim-tools-samples /usr/local/doc/cim-tools-test
mkdir /usr/local/doc/cim-tools-samples
mkdir /usr/local/doc/cim-tools-test
cp -rf progs/* /usr/local/doc/cim-tools-samples
cp -rf test/* /usr/local/doc/cim-tools-test

%files
/usr/local/lib/libsimtools-atr.a
/usr/local/lib/libsimtools-atr.atr
/usr/local/lib/libsimtools.so
/usr/local/lib/libsimtools.so.1
/usr/local/lib/libsimtools.so.1.0
/usr/local/bin/sc
/usr/local/man/man1/sc.1
/usr/local/doc/cim-tools-samples
/usr/local/doc/cim-tools-test
%doc COPYRIGHT INSTALLATION README README.REDHAT VERSION suapaper.ps

%post
ldconfig
echo "Done! "
echo "If your program can't find the dynamic libraries, you must add "
echo "/usr/local/lib to /etc/ld.so.conf and rerun ldconfig. Or you can "
echo "have LD_LIBRARY_PATH point to /usr/local/lib."

%postun
ldconfig